package com.yonge.cooleshow.biz.dal.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @author hgw
 * Created by 2022年3月24日
 */
public class RoomInfoCache implements Serializable {
    @ApiModelProperty(value = "主讲人id")
    private Long speakerId;

    @ApiModelProperty(value = "主讲人名称")
    private String speakerName;

    @ApiModelProperty(value = "主讲人头像")
    private String speakerPic;

    @ApiModelProperty(value = "主讲人 0在房间 1不在房间")
    private Integer speakerState;

    @ApiModelProperty(value = "房间uid")
    private String roomUid;

    @ApiModelProperty(value = "直播开始时间")
    private Date liveStartTime;

    @ApiModelProperty(value = "直播结束时间")
    private Date liveEndTime;

    @ApiModelProperty(value = "房间创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createRoomTime;

    @ApiModelProperty(value = "结束时间后最多延迟分钟数")
    private Integer expiredMinute;

    @ApiModelProperty(value = "主讲人进入房间时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date joinRoomTime;

    @ApiModelProperty(value = "主讲人退出房间时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date exitRoomTime;

    @ApiModelProperty(value = "房间类型 RoomTypeEnum")
    private String roomType;

    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;

    @ApiModelProperty(value = "当前观看人数")
    private Integer lookNum;

    public Long getSpeakerId() {
        return speakerId;
    }

    public void setSpeakerId(Long speakerId) {
        this.speakerId = speakerId;
    }

    public String getSpeakerName() {
        return speakerName;
    }

    public void setSpeakerName(String speakerName) {
        this.speakerName = speakerName;
    }

    public Integer getSpeakerState() {
        return speakerState;
    }

    public void setSpeakerState(Integer speakerState) {
        this.speakerState = speakerState;
    }

    public String getRoomUid() {
        return roomUid;
    }

    public void setRoomUid(String roomUid) {
        this.roomUid = roomUid;
    }

    public Date getLiveStartTime() {
        return liveStartTime;
    }

    public void setLiveStartTime(Date liveStartTime) {
        this.liveStartTime = liveStartTime;
    }

    public Date getLiveEndTime() {
        return liveEndTime;
    }

    public void setLiveEndTime(Date liveEndTime) {
        this.liveEndTime = liveEndTime;
    }

    public Date getCreateRoomTime() {
        return createRoomTime;
    }

    public void setCreateRoomTime(Date createRoomTime) {
        this.createRoomTime = createRoomTime;
    }

    public Integer getExpiredMinute() {
        return expiredMinute;
    }

    public void setExpiredMinute(Integer expiredMinute) {
        this.expiredMinute = expiredMinute;
    }

    public Date getJoinRoomTime() {
        return joinRoomTime;
    }

    public void setJoinRoomTime(Date joinRoomTime) {
        this.joinRoomTime = joinRoomTime;
    }

    public Date getExitRoomTime() {
        return exitRoomTime;
    }

    public void setExitRoomTime(Date exitRoomTime) {
        this.exitRoomTime = exitRoomTime;
    }

    public String getRoomType() {
        return roomType;
    }

    public void setRoomType(String roomType) {
        this.roomType = roomType;
    }

    public Integer getLikeNum() {
        return likeNum;
    }

    public void setLikeNum(Integer likeNum) {
        this.likeNum = likeNum;
    }

    public Integer getLookNum() {
        return lookNum;
    }

    public void setLookNum(Integer lookNum) {
        this.lookNum = lookNum;
    }

    public String getSpeakerPic() {
        return speakerPic;
    }

    public void setSpeakerPic(String speakerPic) {
        this.speakerPic = speakerPic;
    }
}